package cn.ibizlab.eam.core.eam_core.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;

import cn.ibizlab.eam.core.eam_core.domain.EMRepairCost;
import cn.ibizlab.eam.core.eam_core.filter.EMRepairCostSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[EMRepairCost] 服务对象接口
 */
public interface IEMRepairCostService extends IService<EMRepairCost>{

    boolean checkKey(EMRepairCost et) ;
    boolean update(EMRepairCost et) ;
    void updateBatch(List<EMRepairCost> list) ;
    boolean create(EMRepairCost et) ;
    void createBatch(List<EMRepairCost> list) ;
    boolean save(EMRepairCost et) ;
    void saveBatch(List<EMRepairCost> list) ;
    EMRepairCost getDraft(EMRepairCost et) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    EMRepairCost get(String key) ;
    Page<EMRepairCost> searchDefault(EMRepairCostSearchContext context) ;
    List<EMRepairCost> selectByEmequipid(String emequipid) ;
    void removeByEmequipid(String emequipid) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

}


